<?php
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	
	include_once ('data/options.inc');
	include_once ('init.php');
	include_once ('class/utils.php');
	include_once ('class/MailList.class.inc');
	global $HTTP_POST_VARS, $REQUEST_METHOD, $folders, $active_folder;
	
	if( $REQUEST_METHOD == 'GET' )
	{
		include_once ('class/MailList.class.inc');
		include_once ('class/FolderList.class.inc');
		global $folders, $active_folder;
		if( !isset( $folders ) )
		$folders = new FolderList;
		$active_folder = trim( $HTTP_GET_VARS['folder'] );
		$email = trim( $HTTP_GET_VARS['email'] );
		$password = trim( $HTTP_GET_VARS['id'] );
		
		if( isset($HTTP_GET_VARS['add']) )
			$add = $HTTP_GET_VARS['add'];
		else
			$add = true;
			
		if( IsDemo() )
		{
			echo "
				<p class=bodyText>This feature disabled in demo version.<br>
				$link</P>
			";
			exit;
		}
					
		if( $email == '' )
		{
			echo "
				<p class=bodyText>E-Mail Address should be specified.</P>
				<br>$link
			";
			exit;
		}
		
		if( $active_folder == '' )
		{
			echo "
				<p class=bodyText>Maillist should be specified.</P>
				<br>$link
			";
			exit;
		}
		
		$list = new MailList;
		
		if( $add ) { // Confirm add
				
						
			if ( !SetConfirmed ( $email, $password ) ) {
				print "<P class=varningText><font color=#ff0000>Wrong email or password. Confirmation failed!</font></P>";
				exit;
			}
			else {
			
				print "<P class=varningText>Adress <b>$email</b> was successfully confirmed and added to \"$active_folder\" maillist.</P>";
			
			}
		
					
		}
		else { // Confirm Delete
			
			
			if ( !SaveUnsubscribed ( $email, $password ) ) {
				print "<P class=varningText><font color=#ff0000>Wrong email or password. Unsubscribe confirmation failed!</font></P>";
				exit;
			}
			else {
			
				print "<P class=varningText>Adress <b>$email</b> was successfully deleted from \"$active_folder\" mailllist.</P>";
			
			}
			
			unset( $list->mails[ crc32($email) ] );
			
		}
		
	
	}

?>
